UnregisterPeerMessageHandler
Keywords: uk.ac.ic.doc.automed.p2p.UnregisterPeerMessageHandler class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p
Class UnregisterPeerMessageHandler

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.communication.AbstractRequestListener
          uk.ac.ic.doc.automed.p2p.UnregisterPeerMessageHandler

All Implemented Interfaces:
  RequestListener

    public class UnregisterPeerMessageHandler

extends AbstractRequestListener

Constructor Summary
`UnregisterPeerMessageHandler(AutoMedPeer peer)` Creates a new instance of KeepAliveMessageHandler

Method Summary
`AbstractMessage` | `getRequestMessage()` Return an `AbstractMessage` object representing the message to send
`java.lang.String` | `getType()` Return this class type

Methods inherited from class uk.ac.ic.doc.automed.p2p.communication.AbstractRequestListener
`getResponseData, handleRequest, handleRequest, handleRequest, handleRequest, handleUDPRequest, handleUDPRequest, handleUDPRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnregisterPeerMessageHandler

    public UnregisterPeerMessageHandler(AutoMedPeer peer)

  Creates a new instance of KeepAliveMessageHandler

  Parameters:
    `peer` - an `AutoMedPeer` object as a real handler

Method Detail

### getRequestMessage

    public AbstractMessage getRequestMessage()
                                      throws MalformedMessageException

  Return an `AbstractMessage` object representing the message to send

  Specified by:
    `getRequestMessage` in interface `RequestListener`
  Overrides:
    `getRequestMessage` in class `AbstractRequestListener`
  Throws:
    `MalformedMessageException`

### getType

    public java.lang.String getType()

  Return this class type

  Specified by:
    `getType` in interface `RequestListener`
  Overrides:
    `getType` in class `AbstractRequestListener`
  Returns:
    String class type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD